<template>
    <div>
        <table class="table">
  <thead class="thead-dark">
    <tr>
      <th scope="col">#</th>
      <th scope="col">First</th>
      <th scope="col">Last</th>
      <th scope="col">national_id</th>
      <th scope="col">issue_date</th>
      <th scope="col">phone</th>
      <th scope="col">mobile</th>
      <th scope="col">gender</th>
    </tr>
  </thead>
  <tbody>
    <tr v-for="item in employees" :key="item.id">
      <th scope="row">{{ item.id }}</th>
      
      <td>{{ item.first_name }}</td>
      <td>{{ item.last_name }}</td>
      <td>{{ item.national_id }}</td>
      <td>{{ item.issue_date}}</td>
      <td>{{ item.phone }}</td>
      <td>{{ item.mobile }}</td>
      <td>{{ item.gender }}</td>
    </tr>

  </tbody>
</table>


    </div>
</template>
<script>
import axios from 'axios'
export default {
    data(){
        return{
            employees:[]
        }
      
    },
    name:'homepage',
    created(){
       let Token= localStorage.getItem('token');
       axios.get('https://vms-api.rewardszone.net/api/employees',{
       headers:{Authorization: `Bearer ${Token}`}  
       }).then(res=>{
      this.employees=res.data.data
        
    })

    
    }
}
</script>